
Redmine - Defect #18176

PDF: long text is corrupt

2014-10-24 10:11 - Felix Muster

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.6.0

Description

I applied the pdf.rb.patch from #14466 in my old Redmine Version 2.5.

I updated to 2.6.0.

But there is still the problem that an export of issues with long text to pdf is corrupt.

The pdf.rb file was heavily adjusted.

So the patch doesn't take an affect.

I tried a bit on my own.

But I'm really new on ruby.

Could you please give me quick support?

It's an important feature for us.

Thank you.

Associated revisions

Revision 13506 - 2014-10-25 09:09 - Toshi MARUYAMA

Gemfile: update rbpdf to version 1.18.2 (#18176)

Revision 13507 - 2014-10-25 09:39 - Toshi MARUYAMA

Merged r13506 from trunk to 2.6-stable (#18176)

Gemfile: update rbpdf to version 1.18.2.

History

#1 - 2014-10-24 10:44 - Toshi MARUYAMA

- Category set to PDF export

#2 - 2014-10-24 10:48 - Toshi MARUYAMA

I have posted.

https://github.com/naitoh/rfpdf/issues/1

#3 - 2014-10-24 10:49 - Felix Muster

wonderful.

Hope we get an answer soon ;)

Thanks.

#4 - 2014-10-24 11:58 - Felix Muster

- File im-496.pdf added

- File im-496-2r.pdf added

I researched a bit and noticed the following:

The problem is still given but in an other way!

The text overrun changed from left to right to top to bottom (See attached pdfs!)
https://www.redmine.org/issues/14466
https://github.com/naitoh/rfpdf/issues/1


#5 - 2014-10-24 12:09 - Felix Muster

- File fertigung-2-0-1083.pdf added

- File issues.pdf added

The defect is limited when I export a single issue.

But when I export a query of issues it looks like the attached pdf.

#6 - 2014-10-24 18:11 - Jun NAITOH

- File redmine_pdf.png added

I can't reproduced.

 redmine_pdf.png 

please tell me your environment.

#7 - 2014-10-25 01:10 - Jun NAITOH

Felix Muster wrote:

But when I export a query of issues it looks like the attached pdf.

 issues.pdf - Export of query of issues (v2.6.0)

 ok, I can reproduced issues.pdf.

#8 - 2014-10-25 06:41 - Jun NAITOH

I released rbpdf 1.18.2 gem.

fixed this problem.

please bundle update

bundle update rbpdf

#9 - 2014-10-25 09:06 - Toshi MARUYAMA

- Subject changed from PDF Export still corrupt to PDF: long text is corrupt

- Target version set to 2.6.1

#10 - 2014-10-25 12:00 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Gem version has updated in trunk r13506 and 2.6-stable r13507, thanks.

#11 - 2014-10-27 09:51 - Felix Muster

Works perfectly

thank you!

Files

im-496.pdf 314 KB 2014-10-24 Felix Muster

im-496-2r.pdf 119 KB 2014-10-24 Felix Muster

fertigung-2-0-1083.pdf 326 KB 2014-10-24 Felix Muster

issues.pdf 313 KB 2014-10-24 Felix Muster

redmine_pdf.png 65.9 KB 2014-10-24 Jun NAITOH
